> ## Documentation Index
> Fetch the complete documentation index at: https://docs.atollhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Publish KPI HTTP sync

> Human-admin-only. Publish a sync only after a successful dry-run with the current config hash and secret fingerprint.



## OpenAPI

````yaml /openapi.json post /api/orgs/{id}/kpis/{kpiId}/http-syncs/{syncId}/publish
openapi: 3.1.0
info:
  title: Atoll API
  version: 1.0.0
  description: >-
    REST API for Atoll project management, agent collaboration, strategy
    tracking, and integrations.
servers:
  - url: https://atollhq.com
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Organizations
  - name: Projects
  - name: Project access
  - name: Issues
  - name: Issue details
  - name: Milestones
  - name: Strategy
  - name: Members and agents
  - name: Planning
  - name: Integrations and billing
  - name: Notifications and public
paths:
  /api/orgs/{id}/kpis/{kpiId}/http-syncs/{syncId}/publish:
    post:
      tags:
        - Strategy
      summary: Publish KPI HTTP sync
      description: >-
        Human-admin-only. Publish a sync only after a successful dry-run with
        the current config hash and secret fingerprint.
      operationId: post_api_orgs_id_kpis_kpiId_http_syncs_syncId_publish
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: id identifier
        - name: kpiId
          in: path
          required: true
          schema:
            type: string
          description: kpiId identifier
        - name: syncId
          in: path
          required: true
          schema:
            type: string
          description: syncId identifier
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                properties:
                  sync:
                    $ref: '#/components/schemas/KpiHttpSync'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - bearerAuth: []
components:
  schemas:
    KpiHttpSync:
      type: object
      additionalProperties: true
      properties:
        id:
          type: string
        status:
          type: string
          enum:
            - draft
            - published
            - disabled
        schedule:
          type: string
          enum:
            - hourly
            - daily
        config_hash:
          type: string
        config_version:
          type: integer
    Error:
      type: object
      properties:
        error:
          type: string
        code:
          type: string
      required:
        - error
      additionalProperties: true
  responses:
    BadRequest:
      description: Invalid request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Missing or invalid authentication
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Forbidden:
      description: Authenticated but not allowed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: Resource not found or not visible
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    ServerError:
      description: Unexpected server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: sk_atoll_<key>

````